/**
 * Inline items.
 */

.edp-base-container-inline div,
.edp-base-container-inline label {
  display: inline;
}

/* Fieldset contents always need to be rendered as block. */

.edp-base-container-inline .edp-base-fieldset-wrapper {
  display: block;
}

/**
 * Prevent text wrapping.
 */

.edp-base-nowrap {
  white-space: nowrap;
}

/**
 * For anything you want to hide on page load when JS is enabled, so
 * that you can use the JS to control visibility and avoid flicker.
 */

html.edp-base-js .edp-base-js-hide {
  display: none;
}

/**
 * Hide elements from all users.
 *
 * Used for elements which should not be immediately displayed to any user. An
 * example would be a collapsible fieldset that will be expanded with a click
 * from a user. The effect of this class can be toggled with the jQuery show()
 * and hide() functions.
 */

.edp-base-element-hidden {
  display: none;
}

/**
 * Hide elements visually, but keep them available for screen-readers.
 *
 * Used for information required for screen-reader users to understand and use
 * the site where visual display is undesirable. Information provided in this
 * manner should be kept concise, to avoid unnecessary burden on the user.
 * "!important" is used to prevent unintentional overrides.
 */

.edp-base-element-invisible {
  position: absolute !important;
  clip: rect(1px 1px 1px 1px);
  /* IE6, IE7 */
  clip: rect(1px, 1px, 1px, 1px);
  overflow: hidden;
  height: 1px;
}

/**
 * The .element-focusable class extends the .element-invisible class to allow
 * the element to be focusable when navigated to via the keyboard.
 */

.edp-base-element-invisible.edp-base-element-focusable:active,
.edp-base-element-invisible.edp-base-element-focusable:focus {
  position: static !important;
  clip: auto;
  overflow: visible;
  height: auto;
}

/**
 * Markup free clearing.
 *
 * @see http://perishablepress.com/press/2009/12/06/new-clearfix-hack
 */

.edp-base-clearfix:after {
  content: ".";
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}

/* IE6 */

* html .edp-base-clearfix {
  height: 1%;
}

/* IE7 */

*:first-child + html .edp-base-clearfix {
  min-height: 1%;
}